package ovh.herisson.Clyde.EndPoints;
import org.springframework.http.HttpHeaders;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import ovh.herisson.Clyde.Responses.UnauthorizedResponse;
import ovh.herisson.Clyde.Services.AuthenticatorService;

import java.util.Date;

@RestController
@CrossOrigin(origins = "http://localhost:5173")
public class LoginController {
    private final AuthenticatorService authServ;
    public LoginController(AuthenticatorService authServ){
       this.authServ = authServ;
    }
    @PostMapping("/login")
    public ResponseEntity<String> login(@RequestParam String identifier, String password, Date expirationDate){

        String sessionToken = authServ.login(identifier,password,expirationDate);
        if (sessionToken == null){
            return new UnauthorizedResponse<>("Identifier or Password incorrect");
        }

        HttpHeaders responseHeaders = new HttpHeaders();
        responseHeaders.set("Set-Cookie",String.format("session_token=%s",sessionToken));
        return ResponseEntity.ok().headers(responseHeaders).build();
    }
}


